Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1686)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1691)
@@ -14,10 +14,11 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2014 Leibniz Universitaet Hannover
+! Copyright 1997-2015 Leibniz Universitaet Hannover
 !--------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! ------------------
-! 
+! Added optional model spin-up without radiation / land surface model calls.
+! Formatting corrections.
 ! 
 ! Former revisions:
@@ -286,5 +287,6 @@
 
     USE radiation_model_mod,                                                   &
-        ONLY:  radiation, radiation_scheme, radiation_tendency
+        ONLY:  radiation, radiation_scheme, radiation_tendency,                &
+               skip_time_do_radiation
 
     USE statistics,                                                            &
@@ -410,5 +412,5 @@
 !
 !--          Nudging
-             IF ( nudging )  CALL nudge( i, j, simulated_time, 'u' ) 
+             IF ( nudging )  CALL nudge( i, j, simulated_time, 'u' )
 
              CALL user_actions( i, j, 'u-tendency' )
@@ -469,5 +471,5 @@
 !
 !--          Nudging
-             IF ( nudging )  CALL nudge( i, j, simulated_time, 'v' ) 
+             IF ( nudging )  CALL nudge( i, j, simulated_time, 'v' )
 
              CALL user_actions( i, j, 'v-tendency' )
@@ -610,5 +612,6 @@
 !
 !--          If required, add tendency due to radiative heating/cooling
-             IF ( radiation .AND. radiation_scheme == 'rrtmg' )  THEN
+             IF ( radiation .AND. radiation_scheme == 'rrtmg' .AND.            &
+                  simulated_time > skip_time_do_radiation )  THEN
                 CALL radiation_tendency ( i, j, tend )
              ENDIF
@@ -718,5 +721,5 @@
              ENDIF
              CALL diffusion_s( i, j, q, qsws, qswst, wall_qflux )
-     
+
 !
 !--          If required compute decrease of total water content due to
@@ -724,6 +727,7 @@
              IF ( cloud_physics  .AND.  icloud_scheme == 1  .AND.              &
                   precipitation )  THEN
-                CALL calc_precipitation( i, j )             
-             ENDIF
+                CALL calc_precipitation( i, j )
+             ENDIF
+
 !
 !--          Sink or source of scalar concentration due to canopy elements
@@ -1009,5 +1013,5 @@
 !
 !-- Nudging
-    IF ( nudging )  CALL nudge( simulated_time, 'u' ) 
+    IF ( nudging )  CALL nudge( simulated_time, 'u' )
 
     CALL user_actions( 'u-tendency' )
@@ -1085,5 +1089,5 @@
 !
 !-- Nudging
-    IF ( nudging )  CALL nudge( simulated_time, 'v' ) 
+    IF ( nudging )  CALL nudge( simulated_time, 'v' )
 
     CALL user_actions( 'v-tendency' )
@@ -1274,6 +1278,7 @@
 !
 !--    If required, add tendency due to radiative heating/cooling
-       IF ( radiation .AND. radiation_scheme == 'rrtmg' )  THEN
-          CALL radiation_tendency ( tend )
+       IF ( radiation .AND. radiation_scheme == 'rrtmg' .AND.                  &
+            simulated_time > skip_time_do_radiation )  THEN
+            CALL radiation_tendency ( tend )
        ENDIF
 
@@ -1859,5 +1864,5 @@
 !
 !-- Nudging
-    IF ( nudging )  CALL nudge( simulated_time, 'u' ) 
+    IF ( nudging )  CALL nudge( simulated_time, 'u' )
 
     CALL user_actions( 'u-tendency' )
@@ -1926,5 +1931,5 @@
 !
 !-- Nudging
-    IF ( nudging )  CALL nudge( simulated_time, 'v' ) 
+    IF ( nudging )  CALL nudge( simulated_time, 'v' )
 
     CALL user_actions( 'v-tendency' )
@@ -2096,4 +2101,9 @@
        ENDIF
 
+       IF ( radiation .AND. radiation_scheme == 'rrtmg' .AND.                  &
+            simulated_time > skip_time_do_radiation )  THEN
+            CALL radiation_tendency ( tend )
+       ENDIF
+
        CALL user_actions( 'pt-tendency' )
 
